身份要求
账户会话. 会话/管理写操作不在公共 Playground 执行。
接口
curl --request POST 'https://api.oneaster.ai/core/v1/me/email-verifications' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \ --header 'Content-Type: application/json' \ --data "$REQUEST_BODY_JSON"
参数
—
请求 JSON Schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"email": {
"type": "string",
"format": "email",
"maxLength": 254
},
"current_password": {
"type": "string",
"maxLength": 128,
"writeOnly": true
}
},
"required": [
"email",
"current_password"
]
}
响应
202
当前密码再验证后发送本人邮箱绑定证明
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"accepted": {
"const": true
}
},
"required": [
"accepted"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}